This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 835315 - pure make check fails on ARM
pure make check fails on ARM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pure (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-06-25 20:26 EDT by Peter Robinson
Modified: 2015-11-04 05:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 05:37:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Fedora End Of Life 2013-04-03 12:19:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Peter Robinson 2013-04-13 04:32:11 EDT
Any update?
Comment 3 Michel Alexandre Salim 2013-04-14 23:50:26 EDT
Latest version still fails:

http://arm.koji.fedoraproject.org//work/tasks/2525/1712525/build.log

Is there a shell account on an ARM machine I can access? Otherwise I'll probably just ExcludeArch this for now
Comment 4 Peter Robinson 2013-04-17 06:43:30 EDT
> Is there a shell account on an ARM machine I can access? Otherwise I'll
> probably just ExcludeArch this for now

Not at the moment but you should be able to test with the VExpress qemu model. It's only make check so possibly special case the checks so it doesn't hard fail on ARM and leave this bug open until it's fixed properly.
Comment 5 T.C. Hollingsworth 2013-12-22 01:14:39 EST
In a review for a package written in pure (bug 1002828), the submitter discovered that this FTBFS.  Looking into it more, it seems that it really doesn't work on ARM.

Even just doing a "Hello, world!", it segfaults:

pure: runtime.cc:5720: pure_expr* pure_call(pure_expr*): Assertion `x' failed.
Program received signal SIGABRT, Aborted.
0xb563bbc4 in raise () from /lib/libc.so.6
#0  0xb563bbc4 in raise () from /lib/libc.so.6
#1  0xb563d1c4 in abort () from /lib/libc.so.6
#2  0xb5634ab0 in __assert_fail_base () from /lib/libc.so.6
#3  0xb5634b78 in __assert_fail () from /lib/libc.so.6
#4  0xb6e6fe04 in pure_call (x=0xb55e4000) at runtime.cc:5720
#5  0xb5371038 in ?? ()
Cannot access memory at address 0x0
Cannot access memory at address 0x0
#6  0xb5371038 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

I guess the part of LLVM this uses isn't supported on ARM:
https://bitbucket.org/purelang/pure-lang/issue/11/pure4android

So ExcludeArch is indeed the right thing to do right for now.  Added in pure-0.57-6.
Comment 6 Fedora End Of Life 2015-01-09 12:13:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Kurik 2015-07-15 11:06:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora Admin XMLRPC Client 2015-10-13 13:32:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Peter Robinson 2015-11-04 05:37:09 EST
retired in f23

Note You need to log in before you can comment on or make changes to this bug.